/*
 * JBoss, Home of Professional Open Source
 * Copyright (c) 2010, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.ejb3.vfs.impl.vfs3;

import org.jboss.vfs.VirtualFile;
import org.jboss.vfs.VirtualFileFilter;

/**
 * A VirtualFileFilter that provides an adapter between the EJB3 VFS abstraction 
 * layer and VFS3. 
 */
public class VirtualFileFilterAdapter implements VirtualFileFilter
{
   /* EJB3 VFS Abstraction Filter */
   private final org.jboss.ejb3.vfs.spi.VirtualFileFilter delegate;

   /**
    * Constructs a new instance with a VFS abstract VirtualFileFilter
    * 
    * @param delegate 
    */
   public VirtualFileFilterAdapter(org.jboss.ejb3.vfs.spi.VirtualFileFilter delegate)
   {
      this.delegate = delegate;
   }

   @Override
   public boolean accepts(VirtualFile file)
   {
      return delegate.accepts(new VirtualFileWrapper(file));
   }

}
